org.eclipse.emf.spi.cdo

## Class CDOSessionInvalidationEventQueue

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionInvalidationEventQueue

- Direct Known Subclasses:
    CDOSessionInvalidationAggregator

      public class CDOSessionInvalidationEventQueue
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.2
  Author:
    Eike Stepper
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOSessionInvalidationEventQueue(CDOSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `CDOChangeSetData` | `getChangeSetData()` Deprecated. As of 4.3 use `poll()`.
    `CDOSession` | `getSession()`
    `protected void` | `handleEvent(CDOSessionInvalidationEvent event)`
    `CDOSessionInvalidationEvent` | `poll()` Removes and returns the first event from this queue.
    `CDOSessionInvalidationEvent` | `remove(long timestamp)`
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOSessionInvalidationEventQueue

          public CDOSessionInvalidationEventQueue(CDOSession session)

  - ### Method Detail

    - #### dispose

          public void dispose()

    - #### getSession

          public CDOSession getSession()

    - #### getChangeSetData

          @Deprecated
          public CDOChangeSetData getChangeSetData()

      Deprecated. As of 4.3 use `poll()`.
      Removes and returns the first event from this queue.

    - #### poll

          public CDOSessionInvalidationEvent poll()

      Removes and returns the first event from this queue.
      Since:
        4.3

    - #### remove

          public CDOSessionInvalidationEvent remove(long timestamp)

      Since:
        4.3

    - #### reset

          public void reset()

    - #### handleEvent

          protected void handleEvent(CDOSessionInvalidationEvent event)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html